## org.biojava.bibliography
Class BiblioJournal

    java.lang.Object
      org.biojava.bibliography.BiblioJournal

    public class BiblioJournal

extends Object

A class describing journals. The citations referring to the journal articles have a reference to this class. There are only few explicit attributes defined, the rest are accessible using `dynamic properties`.

Since:
  1.3
Version:
  $Id: BiblioJournal.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String` `abbreviation` An abbreviation of the journal title.
`String` `issn` A standard number for journals.
`String` `name` A journal title.
`Hashtable` `properties` Additional properties used when the explicit attributes are not sufficient.

Constructor Summary
`BiblioJournal()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public Hashtable properties

  Additional properties used when the explicit attributes are not sufficient.

### name

    public String name

  A journal title. The list of available titles can be provided using a controlled vocabulary, taken, for example, from MEDLINE Journals. Such controlled vocabulary should be named `BibRefSupport.JOURNAL_TITLES`.

### issn

    public String issn

  A standard number for journals.

  Be aware, however, that in the real world even this attribute may change over time. Therefore, it is not suitable as a primary unique identifier for journals.

### abbreviation

    public String abbreviation

  An abbreviation of the journal title.

  Note that some repositories use more abbreviation systems. For such cases, use `dynamic properties` for additional abbreviations.

  An example for biological journals is in Biological Journals and Abbreviations.

  A controlled vocabulary with abbreviation should be named `BibRefSupport.JOURNAL_ABBREV`.

Constructor Detail

### BiblioJournal

    public BiblioJournal()